# SourcePath: motd/20070409
Summary: Information of Sony CE Linux release version.
Name: sony-target-dev-motd
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-motd
Version: %{sony_linux_release_version}
Release: 12000001
License: Sony
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

#
#	SRPM
#

%description
Information of Sony CE Linux release version.

#
#	RPM
#

%package -n %{pkgname}
Summary		: Information of Sony CE Linux release version.
Group		: System Environment/Base
AutoReqProv: no


%description -n %{pkgname}
Information of Sony CE Linux release version.

%prep


%build
rm -rf Sony-motd
mkdir Sony-motd
cat <<'SONY-LINUX' > Sony-motd/motd
Sony CE Linux %{version} %{sony_target_dialect}
SONY-LINUX

%install
%sony_target_dev_setup
PATH=%{sony_cross_bin_dir}:$PATH
rm -rf %{buildroot}
cd Sony-motd
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
cp motd %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/motd

rm -rf %{_builddir}/Sony-motd

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
# The /etc directory structure for init
%config %dir %{sony_target_dir}%{sony_target_dev_sysconf_dir}
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/motd


%changelog
* Tue Jan 10 2012 Sony Corporation 
- Added dialect info in motd 

* Thu Sep 06 2007 Sony Corporation
- change the version

* Wed Aug 29 2007 Sony Corporation
- Integrated CE3.x and CE4.x.

* Mon Apr 09 2007 Sony Corporation
- initial version
